#ifndef _PKTLIB_LIB_H_INCLUDED_
#define _PKTLIB_LIB_H_INCLUDED_

typedef long long pkt_int64;
typedef unsigned long long pkt_uint64;
typedef int pkt_int32;
typedef unsigned int pkt_uint32;
typedef short pkt_int16;
typedef unsigned short pkt_uint16;
typedef char pkt_int8;
typedef unsigned char pkt_uint8;

struct _pktif_base { /* 󥿡եζΰ */
  struct _pktif_base *next;
  char *name;
  int fd;
  unsigned long flags;
  int linktype;
  int buffer_size;
  int send_count;
  int recv_count;
  void *option; /* ץΰ */
};

typedef struct _pktif_base *pktif_base_t;

void pktlib_error_exit(char *message);
int pktlib_iflist_set(pktif_t pktif);

#endif
